#!/bin/bash
# Copyright © 2020 symphonic-mpd Research and Development Club
#ympd-plus.sh
M_HOME=/var/lib/mpd/music

declare -a aver=("" "1" "2" "3" "4" "5" "6" "7" "8" "9")
for e in ${aver[@]}; do

  # copy NAS.jpg to NAS directory
  if [ `mount |grep $M_HOME/NAS${e} |grep -c cifs` -gt 0 ]; then
    if [ ! -e $M_HOME/NAS${e}/folder.jpg ]; then
      mount $M_HOME/NAS${e} -o remount,rw
      cp $M_HOME/NAS.jpg $M_HOME/NAS${e}/folder.jpg
      cp $M_HOME/NAS.jpg $M_HOME/NAS${e}/Folder.jpg
      cp $M_HOME/NAS.jpg $M_HOME/NAS${e}/cover.jpg
      sync
      mount $M_HOME/NAS${e} -o remount,ro
    fi
  fi
done

# copy RADIO.jpg to RADIO directory
if [ ! -e $M_HOME/RADIO/folder.jpg ]; then
  cp $M_HOME/RADIO.jpg $M_HOME/RADIO/folder.jpg
  ln -s $M_HOME/RADIO/folder.jpg $M_HOME/RADIO/Folder.jpg
  ln -s $M_HOME/RADIO/folder.jpg $M_HOME/RADIO/cover.jpg
fi

#copy RAM.jpg to RAM directory
if [ ! -e $M_HOME/RAM/folder.jpg ]; then
  cp $M_HOME/RAM.jpg $M_HOME/RAM/folder.jpg
  ln -s $M_HOME/RAM/folder.jpg $M_HOME/RAM/Folder.jpg
  ln -s $M_HOME/RAM/folder.jpg $M_HOME/RAM/cover.jpg
fi

#copy webui.cfg to /etc
if [ ! -e /etc/webui.cfg ]; then
  if [ -e /opt/plugins/04-webui/webui.cfg ]; then
    mv /opt/plugins/04-webui/webui.cfg /etc
  else
    cp /etc/webui.cfg.org /etc/webui.cfg
  fi
fi

#add the assets directory
if [ ! -d /var/lib/mpd/music/assets ]; then
  mkdir /var/lib/mpd/music/assets
fi

#make symbolic link to added plugin
PLGIN_DE=/opt/plugins/detach
PLGIN_AT=/opt/plugins/attach
declare -a array=("04-webui" "05-stats" "06-no_image" "15-lastfm" "82-aoe")

for i in "${array[@]}"
do
  if [ ! -e ${PLGIN_AT}/${i} ] && [ ! -e ${PLGIN_DE}/${i} ]; then
    cd ${PLGIN_DE}
    ln -s ../${i} ${i}
  fi
done

#add Scrobble config to /etc/webui.cfg
if [ ! "$(cat /etc/webui.cfg | grep "Scrobble" )" ]; then
  echo -e "\n#last.fm Scrobble flg\nScrobble=0\n\n#last.fm api session-key\nlstSession=\n" >> /etc/webui.cfg
fi

#add inner cover config to /etc/webui.cfg
if [ ! "$(cat /etc/webui.cfg | grep "innerFlg" )" ]; then
  echo -e "\n#inner cover use flg\ninnerFlg=1\n" >> /etc/webui.cfg
fi
